### Wordpress with docker-scripts

#### 1. Install dependencies

<details>
<summary>Install docker</summary>

```
curl -fsSL https://get.docker.com -o get-docker.sh
sudo sh get-docker.sh
```

Reference: https://docs.docker.com/engine/install/ubuntu/#install-using-the-convenience-script

</details>

<details>
<summary>Install docker-scripts</summary>

```
apt install m4
git clone https://gitlab.com/docker-scripts/ds /opt/docker-scripts/ds
cd /opt/docker-scripts/ds/
make install
ds -v
ds -h
```

Reference: https://gitlab.com/docker-scripts/ds#installation

</details>

<details>
<summary>Install Webserver Proxy</summary>

```
ds pull wsproxy
ds init wsproxy @wsproxy
cd /var/ds/wsproxy/
vim settings.sh
ds make
```

Reference: https://gitlab.com/docker-scripts/wsproxy#installation

</details>

<details>
<summary>Install MariaDB</summary>

```
ds pull mariadb
ds init mariadb @mariadb
cd /var/ds/mariadb/
vim settings.sh
ds make
```

Reference: https://gitlab.com/docker-scripts/mariadb#installation

</details>

#### 2. Install Wordpress sites

<details>
<summary>Install Wordpress container</summary>

```
ds pull wordpress
ds init wordpress @wordpress1
cd /var/ds/wordpress1/
vim settings.sh
ds make
```

Reference: https://gitlab.com/docker-scripts/wordpress#installation

</details>
